:root {
  --primary: #ada7ff;
  --text-color: #686868;
  --heading-color: #302b3a;
  --white: #ffffff;
}

body,
p,
a,
ul,
li {
  margin: 0;
  padding: 0;
  text-decoration: none;
}

li {
  list-style-type: none;
}

html {
  font-size: 16px;
  color: #404040;
  background: white;
  font-family: "Dosis", sans-serif;
}

.body {
  min-height: 100vh;
  display: flex;
  flex-flow: column;
}

p {
  font-weight: 400;
  font-size: 12px;
  line-height: 15px;
}

.heading {
  margin: 0;
  font-weight: 700;
}

.heading--1 {
  font-size: 34px;
  line-height: 43px;
  margin-bottom: 20px;
}

.heading strong {
  color: var(--primary);
}

.container {
  height: 100%;
  padding: 0 16px;
  margin: 0 auto;
}

.btn {
  font-weight: 600;
  font-size: 12px;
  line-height: 15px;
  color: var(--white);
  padding: 9px 16px;
  border: none;
  border-radius: 999px;
  cursor: pointer;
  background-color: var(--primary);
}

.btn--with-icon {
  display: inline-flex;
  align-items: center;
  gap: 10px;
}

.link {
  color: var(--primary);
  font-weight: 600;
  font-size: 12px;
  line-height: 15px;
}

.link--with-icon {
  display: inline-flex;
  align-items: center;
  gap: 10px;
}

/* header */

.header {
  border-bottom: 0.5px solid rgba(212, 212, 212, 0.58);
}

.header__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 25px 0;
}

.header__logo {
  width: 29px;
  height: 25px;
  position: relative;
}

.header__logo img {
  position: absolute;
  height: 100%;
  width: 100%;
}

.mobile-menu {
  display: none;
}

.burger {
  cursor: pointer;
}

/* hero */
.hero {
  margin: 19px 0;
  height: 100%;
}

.hero__layout {
  display: flex;
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  max-height: calc(100vh - 75px);
  height: 100%;
  gap: 40px;
}

.hero__content {
  display: flex;
  flex-flow: column;
  justify-content: space-around;
  gap: 10px;
  flex: 1 1 auto;
  max-width: 685px;
}

.hero__text-content > p {
  font-weight: 400;
  font-size: 12px;
  line-height: 15px;
  max-width: 625px;
}

.hero__actions {
  display: flex;
  align-items: center;
  gap: 20px;
}

.statistic {
  display: flex;
  gap: 30px;
}

.statistic__number {
  font-weight: 650;
  font-size: 30px;
  line-height: 38px;
  color: var(--heading-color);
}

.statistic__text {
  font-weight: 600;
  color: var(--text-color);
}

.hero__images {
  position: relative;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 500px;
  max-height: 400px;
  width: 100%;
}

.image-group {
  aspect-ratio: 343/379;
  height: 100%;
  width: 100%;
}

.image-group img {
  position: absolute;
  height: 100%;
  width: 100%;
}

.image-group__image {
  position: absolute;
}

.image-group__image--dog {
  right: 0;
  aspect-ratio: 344/373;
  background: url("../assets/images/background-item-01.png") no-repeat;
  background-size: contain;
  background-position: top left;
  width: 60%;
}

.image-group__image--cat {
  bottom: 0;
  aspect-ratio: 344/373;
  background: url("../assets/images/background-item-02.png") no-repeat;
  background-size: contain;
  background-position: top left;
  width: 60%;
}

.image-group__image--cat img {
  position: absolute;
  bottom: 0;
}

.image-group__image--pad {
  aspect-ratio: 35/36;
  width: 10%;
}

.image-group__image--pad img {
  position: absolute;
}

.image-group__image--pad-2 {
  bottom: 0;
  right: 0;
}

@media screen and (min-width: 769px) {
  p {
    font-size: 18px;
    line-height: 23px;
  }

  .heading--1 {
    font-size: 69px;
    line-height: 87px;
    margin-bottom: 25px;
  }

  .container {
    padding: 0 20px;
    max-width: 1170px;
  }

  .btn {
    font-size: 18px;
    line-height: 23px;
    padding: 16px 32px;
  }

  .link {
    font-size: 18px;
    line-height: 23px;
  }

  /* header */

  .header {
    border-bottom: none;
  }

  .header__content {
    padding: 50px 0;
  }

  .header__logo {
    width: 56px;
    height: 50px;
  }

  .mobile-menu {
    display: block;
  }

  .header__navigation .nav-list {
    display: flex;
    gap: 25px;
  }

  .nav-list__item {
    font-weight: 600;
    font-size: 18px;
    line-height: 23px;
  }

  .nav-list__item a {
    color: #000000;
  }

  .nav-list__item--active a {
    color: var(--primary);
  }

  .burger {
    display: none;
  }

  /* hero */
  .hero {
    margin: 60px 0;
  }

  .hero__layout {
    flex-flow: row;
    max-height: none;
    gap: 20px;
  }

  .hero__content {
    gap: 60px;
  }

  .hero__text-content > p {
    font-size: 18px;
    line-height: 23px;
  }

  .hero__actions {
    gap: 30px;
  }

  .statistic {
    display: flex;
    gap: 65px;
  }

  .statistic__number {
    font-size: 43px;
    line-height: 54px;
  }

  .hero__images {
    height: 100%;
    max-width: 565px;
    max-height: 632px;
    width: 100%;
  }

  .image-group {
    aspect-ratio: 565/632;
    height: 100%;
    width: 100%;
  }

  .image-group__image--pad-2 {
    bottom: 20px;
  }
}

@media screen and (min-width: 1400px) {
  .hero__images {
    transform: translateX(-80px);
    margin-right: -80px;
  }

  .hero__content {
    flex: 0 0 auto;
  }

  .hero__layout {
    gap: 0;
  }
}
